#!/bin/bash
#####################################
#Example: 
#Write the follwoing shell script:
#  #!/bin/bash
#  dnd.sh $1 -w  'cat $DNDFILE | nkf > $DNDFILEBODY.euc.$DNDFILEEXT'
#and put the script on Desktop.
#If you drag and grop some file, then you can run nkf and save it.
#The option -w means script will wait your keytyping after running..
#The last variable should be quoted by ' '  
#because the varilable DNDFILE and so on must not expand.
#You can use the following variable in your third variable:
# $DNDDIR,  the directory of $1 (maybe)
# $DNDFILE, the filename of $1 (maybe)
# $DNDFILEBODY, the filename without extension of $1 (maybe)
# $DNDFILEEXT, the extension of $1 (maybe)
#If you omit third variable then just change dirctory (cd) to $DNDDIR

if [ $# -lt 1 ]; then
  echo "USAGE: dnd.sh FULLPATH [-w] [COMMAND]" 1>&2 
  echo "Moreover plase see comments in the source" 1>&2 
  exit 1
fi

if [ "$1" = "--help" ]; then
  echo "USAGE: dnd.sh FULLPATH [-w] [COMMAND]"  
  echo "Moreover plase see comments in the source" 
  exit 1
fi
if [ "$1" = "-h" ]; then
  echo "USAGE: dnd.sh FULLPATH [-w] [COMMAND]"  
  echo "Moreover plase see comments in the source" 
  exit 1
fi

####################################
DNDDIR=${1%/*}
DNDFILE=${1##/*/}
DNDFILEBODY=${DNDFILE%.*}
DNDFILEEXT=${DNDFILE##*.}
#####################################
echo dndtool: cd $DNDDIR
cd $DNDDIR

if [ $# -lt 2 ]; then
  exit 0
fi

if [ "$2" = "-w" ]; then
 if [ $# -ge 3 ]; then
  echo dndtool: $3
  eval $3
 fi
 echo "Please hit any key to close."
 read X
else
 echo dndtool: $2
 eval $2
fi


